Skip to main content
GET
List journals

Query Parameters

orgId
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

companyId
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

status
enum<string>

Default "active": drafts, posted and voided journals (superseded versions are history and never listed).

Available options:
active,
draft,
posted,
voided

Substring match over the reference, the narration and the number label (MJ-0007).

Maximum string length: 200
limit
string
default:50

Rows per page (1-200, default 50).

offset
string
default:0

Rows to skip (default 0).

orderBy
enum<string>

Sort column (default date).

Available options:
date,
number,
status,
reference,
createdAt
sorting
enum<string>

Sort direction (default desc).

Available options:
asc,
desc

Response

Journals retrieved

success
enum<boolean>
required
Available options:
true
data
object[]
required
pagination
object
required
Last modified on November 13, 2026